Thanks for the report!

gst-libav is incompatible with the latest libx264 update.

Updating gstreamer fixes it (see attachment).

This would cause 318 rebuilds.
diff --git a/gnu/packages/gstreamer.scm b/gnu/packages/gstreamer.scm
index 5fad28952..4bfa21896 100644
--- a/gnu/packages/gstreamer.scm
+++ b/gnu/packages/gstreamer.scm
@@ -100,7 +100,7 @@ arrays of data.")
 (define-public gstreamer
   (package
     (name "gstreamer")
-    (version "1.12.4")
+    (version "1.13.1")
     (source
      (origin
       (method url-fetch)
@@ -109,7 +109,7 @@ arrays of data.")
             version ".tar.xz"))
       (sha256
        (base32
-        "0x06jxmc5fhlz7cr1pl5lp0hm1jgz519jjic37d09srf9jm091ss"))))
+        "012q94af2rwkd3pw65mfcfsgj7jbj7ikl7p4ikq8kkrksnbchbbx"))))
     (build-system gnu-build-system)
     (outputs '("out" "doc"))
     (arguments
@@ -148,7 +148,7 @@ This package provides the core library and elements.")
 (define-public gst-plugins-base
   (package
     (name "gst-plugins-base")
-    (version "1.12.4")
+    (version "1.13.1")
     (source
      (origin
       (method url-fetch)
@@ -156,7 +156,7 @@ This package provides the core library and elements.")
                           name "-" version ".tar.xz"))
       (sha256
        (base32
-        "10i255q7i8an1hxz3szb36x1jcs9nfdy511pj2wg24h2vw1nnc2c"))))
+        "07g255dm0wqpivikzqkiv7rpmjhzy4n3a05q8v6v3xnmfswnrkai"))))
     (build-system gnu-build-system)
     (outputs '("out" "doc"))
     (propagated-inputs
@@ -203,7 +203,7 @@ for the GStreamer multimedia library.")
 (define-public gst-plugins-good
   (package
     (name "gst-plugins-good")
-    (version "1.12.4")
+    (version "1.13.1")
     (source
      (origin
       (method url-fetch)
@@ -212,7 +212,7 @@ for the GStreamer multimedia library.")
             name "-" version ".tar.xz"))
       (sha256
        (base32
-        "0mxrbrqrfq1946gn9im19maj7ivld4k946vkwrzd94h8qsz4k7v4"))))
+        "0mxrbrqrfq1946gn9im29maj7ivld4k946vkwrzd94h8qsz4k7v4"))))
     (build-system gnu-build-system)
     (inputs
      `(("aalib" ,aalib)
@@ -262,14 +262,14 @@ developers consider to have good quality code and correct functionality.")
 (define-public gst-plugins-bad
   (package
     (name "gst-plugins-bad")
-    (version "1.12.4")
+    (version "1.13.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://gstreamer.freedesktop.org/src/";
                                   name "/" name "-" version ".tar.xz"))
               (sha256
                (base32
-                "021d3q81m968lpnah517sfclagadcqwd6jz3lqdmqvb82sz5fy0c"))))
+                "031d3q81m968lpnah517sfclagadcqwd6jz3lqdmqvb82sz5fy0c"))))
     (outputs '("out" "doc"))
     (build-system gnu-build-system)
     (arguments
@@ -338,7 +338,7 @@ par compared to the rest.")
 (define-public gst-plugins-ugly
   (package
     (name "gst-plugins-ugly")
-    (version "1.12.4")
+    (version "1.13.1")
     (source
      (origin
        (method url-fetch)
@@ -346,7 +346,7 @@ par compared to the rest.")
                            name "/" name "-" version ".tar.xz"))
        (sha256
         (base32
-         "08p5kggk1szvr76cdbx3q3yfc235w1przb76v2n51lwfi26mn5hw"))))
+         "08p5kggk2szvr76cdbx3q3yfc235w1przb76v2n51lwfi26mn5hw"))))
     (build-system gnu-build-system)
     (inputs
      `(("gst-plugins-base" ,gst-plugins-base)
@@ -377,7 +377,7 @@ distribution problems in some jurisdictions, e.g. due to patent threats.")
 (define-public gst-libav
   (package
     (name "gst-libav")
-    (version "1.12.4")
+    (version "1.13.1")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -385,10 +385,11 @@ distribution problems in some jurisdictions, e.g. due to patent threats.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0qly3lgamm36xql9q7wg5751gi6j2d3ifzz1pkr15ncc5mfslmia"))))
+                "00ssb872vq3xnm1xja4igsli2i8xd06p7x8ywba9jim7d75s2iyx"))))
     (build-system gnu-build-system)
     (arguments
      '(#:configure-flags '("--with-system-libav")
+       #:make-flags '("CFLAGS=-Wno-deprecated-declarations")
        #:phases
        (modify-phases %standard-phases
          (add-before 'configure 'patch-/bin/sh

Reply via email to